<?
session_start();
require_once('../connect/connect.php');
include_once('../lib/lib.php');
require('pdk.php');
$base_path="../";
$bp="../";

if ((isset($_POST["MM_insert"])) && ($_POST["MM_insert"] == "form")) 
{

mysql_query("UPDATE service SET 
login_to_robokassa='".trim($_POST['login_to_robokassa'])."',
pass_to_robokassa1='".trim($_POST['pass_to_robokassa1'])."',
pass_to_robokassa2='".trim($_POST['pass_to_robokassa2'])."',

ik_shop_id='".trim($_POST['ik_shop_id'])."',
secret_key='".trim($_POST['secret_key'])."',

billing_purse='".trim($_POST['billing_purse'])."',
billing_secret_code='".trim($_POST['billing_secret_code'])."'
");

	echo "<HTML><HEAD><meta http-equiv='Refresh' charset='utf-8' content='0; URL=refresh.php?i=global2.php'></HEAD></HTML>";
	exit();
}


$titl="Платежные настройки";
require ('top.php'); 
$r=mysql_query("SELECT * FROM service");
$rr=mysql_fetch_array($r);
?>

<form action="" method="post" name="form" >
<TABLE width="100%" style="BORDER-COLLAPSE: collapse" cellpadding="1" cellspacing="1" border="1" bordercolor="#E2E2E2">
	<tr>
    	<td>
		<font color=green>Робокасса:</font> логин 
    	<td>
		<input type="text" name="login_to_robokassa" size="40" value="<?  echo $rr['login_to_robokassa']; ?>">
	
	<tr>
    	<td>
		<font color=green>Робокасса:</font> Пароль #1: [используется интерфейсом инициализации оплаты] 
    	<td>
		<input type="text" name="pass_to_robokassa1" size="40" value="<?  echo $rr['pass_to_robokassa1']; ?>">
	
	<tr>
		<td>
		<font color=green>Робокасса:</font> Пароль #2: [используется интерфейсом оповещения о платеже]
    	<td>
		<input type="text" name="pass_to_robokassa2" size="40" value="<?  echo $rr['pass_to_robokassa2']; ?>">

	
	<tr>
    	<td>
		<font color=orange>Интеркасса:</font> Идентификатор магазина (ik_shop_id) 
    	<td>
		<input type="text" name="ik_shop_id" size="40" value="<?  echo $rr['ik_shop_id']; ?>">
	
	<tr>
		<td>
		<font color=orange>Интеркасса:</font> Ваш текущий секретный ключ (secret_key)
    	<td>
		<input type="text" name="secret_key" size="40" value="<?  echo $rr['secret_key']; ?>">
	
	
	<tr>
		<td>
		<font color=blue>Биллинг-сервис smscoin.ru:</font> идентификационный номер
    	<td>
		<input type="text" name="billing_purse" size="40" value="<?  echo $rr['billing_purse']; ?>">
	
	<tr>
		<td>
		<font color=blue>Биллинг-сервис smscoin.ru:</font> секретный код
    	<td>
		<input type="text" name="billing_secret_code" size="40" value="<?  echo $rr['billing_secret_code']; ?>">

	<tr>
		<td>
<input type="submit" class="submit" name="Submit" value="Изменить">
		<td>
<input type="hidden" name="MM_insert" value="form">
</table>
</form>


<?
require ('bottom.php'); 

?>